#!/bin/sh

# Please modify this path setting
RPMDIR=/Users/tkoba/rpm/RPMS/noarch

if [ -d ./ROOT ]; then
	echo "rm -rf ROOT"
	rm -rf ROOT
fi
mkdir ROOT
pushd ROOT

## make directories
mkdir -p private/etc/apt
mkdir -p private/var/local/cache/apt/archives/partial
mkdir -p private/var/local/cache/apt/genpkglist
mkdir -p private/var/local/cache/apt/gensrclist
mkdir -p private/var/local/state/apt/lists/partial
mkdir -p private/var/local/state/apt/prefetch
mkdir -p private/var/local/tmp
mkdir -p private/var/local/lock/rpm
mkdir -p usr/local/bin
mkdir -p usr/local/lib/apt/methods
mkdir -p usr/local/lib/apt/scripts
mkdir -p usr/local/lib/rpm/
mkdir -p usr/local/share/locale/ja/LC_MESSAGES

## copy files
cp -fRp /private/etc/apt/apt.conf private/etc/apt/
cp -fRp /private/etc/apt/apt.conf.d private/etc/apt/
cp -fRp /private/etc/apt/preferences private/etc/apt/
cp -fRp /private/etc/apt/rpmpriorities private/etc/apt/
#cp -fRp /private/etc/apt/sources.list private/etc/apt/
cp -fRp ../sources.list private/etc/apt/
cp -fRp /private/etc/apt/translate.list.d private/etc/apt/
cp -fRp /usr/local/bin/apt usr/local/bin/
#cp -fRp /usr/local/bin/apt-cache usr/local/bin/
#cp -fRp /usr/local/bin/apt-cache-static usr/local/bin/
#cp -fRp /usr/local/bin/apt-cdrom usr/local/bin/
#cp -fRp /usr/local/bin/apt-cdrom-static usr/local/bin/
#cp -fRp /usr/local/bin/apt-config usr/local/bin/
cp -fRp /usr/local/bin/apt-get usr/local/bin/
#cp -fRp /usr/local/bin/apt-get-static usr/local/bin/
#cp -fRp /usr/local/bin/apt-shell usr/local/bin/
cp -fRp /usr/local/bin/genbasedir usr/local/bin/
cp -fRp /usr/local/bin/gendiff usr/local/bin/
cp -fRp /usr/local/bin/genpkglist usr/local/bin/
cp -fRp /usr/local/bin/gensrclist usr/local/bin/
cp -fRp /usr/local/bin/rpm usr/local/bin/
cp -fRp /usr/local/bin/rpm2cpio usr/local/bin/
cp -fRp /usr/local/bin/rpmdb usr/local/bin/
cp -fRp /usr/local/bin/rpmquery usr/local/bin/
cp -fRp /usr/local/bin/rpmsign usr/local/bin/
cp -fRp /usr/local/bin/rpmverify usr/local/bin/
cp -fRp /usr/local/lib/apt/methods/bzip2 usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/cdrom usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/copy usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/file usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/ftp usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/gpg usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/gzip usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/http usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/rsh usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/methods/ssh usr/local/lib/apt/methods
cp -fRp /usr/local/lib/apt/scripts/allow-duplicated.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/apt/scripts/apt-files.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/apt/scripts/guess.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/apt/scripts/install-devel.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/apt/scripts/list-extras.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/apt/scripts/list-nodeps.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/apt/scripts/proxypasswd.lua usr/local/lib/apt/scripts
cp -fRp /usr/local/lib/libapt-pkg-7*.dylib usr/local/lib/
cp -fRp /usr/local/lib/libintl.3.4.0.dylib usr/local/lib/
cp -fRp /usr/local/lib/libintl.3.dylib usr/local/lib/
cp -fRp /usr/local/lib/libintl.dylib usr/local/lib/
cp -fRp /usr/local/lib/libreadline.5.0.dylib usr/local/lib/
cp -fRp /usr/local/lib/libreadline.5.dylib usr/local/lib/
cp -fRp /usr/local/lib/libbeecrypt.6.4.0.dylib usr/local/lib/
cp -fRp /usr/local/lib/libbeecrypt.6.dylib usr/local/lib/
cp -fRp /usr/local/lib/libbz2.1.0.dylib usr/local/lib/
cp -fRp /usr/local/lib/libbz2.1.dylib usr/local/lib/
cp -fRp /usr/local/lib/libpopt.0.0.0.dylib usr/local/lib/
cp -fRp /usr/local/lib/libpopt.0.dylib usr/local/lib/
cp -fRp /usr/local/lib/libpopt.dylib usr/local/lib/
cp -fRp /usr/local/lib/librpm-4.3.dylib usr/local/lib/
cp -fRp /usr/local/lib/librpmbuild-4.3.dylib usr/local/lib/
cp -fRp /usr/local/lib/librpmdb-4.3.dylib usr/local/lib/
cp -fRp /usr/local/lib/librpmio-4.3.dylib usr/local/lib/
cp -fRp /usr/local/lib/rpm/config.guess usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/config.sub usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/convertrpmrc.sh usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/macros usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/mkinstalldirs usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpm.daily usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpm.log usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpm.xinetd usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpm2cpio.sh usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmd usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpme usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmi usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmk usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmpopt-4.3.2 usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmq usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmrc usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmu usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/rpmv usr/local/lib/rpm/
cp -fRp /usr/local/lib/rpm/tgpg usr/local/lib/rpm/
cp -fRp /usr/local/share/locale/ja/LC_MESSAGES/apt.mo usr/local/share/locale/ja/LC_MESSAGES/
cp -fRp /usr/local/share/locale/ja/LC_MESSAGES/popt.mo usr/local/share/locale/ja/LC_MESSAGES/
cp -fRp /usr/local/share/locale/ja/LC_MESSAGES/rpm.mo usr/local/share/locale/ja/LC_MESSAGES/

cp -fRp ${RPMDIR}/OSX-{Preferences,X11,system}* private/var/local/tmp/
popd
