# System-wide .login file for csh(1).

setenv PATH "/bin:/sbin:/usr/bin:/usr/sbin"

setenv PATH "/usr/local/bin:/usr/local/sbin:/usr/X11R6/bin:$PATH"

setenv MANPATH "/usr/local/share/man:/usr/share/man:/usr/X11R6/man"

if ( -d /etc/profile.d ) then
	set nonomatch
	foreach i ( /etc/profile.d/*.csh )
		if ( -r $i ) then
			source $i
		endif
	end
	unset i nonomatch
endif
